#ifndef DlgTest_H
#define DlgTest_H

#include <owl\owlcore.h>
#include <owl\listbox.h>
#include <owl\choosefo.h>
#include <owl\inputdia.h>
#include <stdio.h>
#pragma hdrstop
#include "treelist.h"
#include "dlgtest.rh"

// ---------------------------------- DlgTestApplication
class TDlgTestApp : public TApplication
{
  public:
	 TDlgTestApp();
	~TDlgTestApp();
	 void InitMainWindow();
};

// ----------------------------------- MyModal
class TMyModal : public TDialog
{
  public:
	 TMyModal(TWindow *, TResId);
	~TMyModal();
	 void SetupWindow();

	 DECLARE_RESPONSE_TABLE(TMyModal);
  protected:
	 void EvDblClk();

	 TTSCTreeList *Outliner;
};

// ------------------------------------------- DlgTestWindow
class TDlgTestWindow : public TWindow
{
  public:
	 TDlgTestWindow();
	~TDlgTestWindow();
	 void SetupWindow();

	 DECLARE_RESPONSE_TABLE(TDlgTestWindow);
  protected:
	 void CmModal();
	 void CmChangeFont();
	 void CmChangeIndentUnits();
	 void CmAddItem();
	 void CmRemoveItem();

	 TFont *Font;
	 TChooseFontDialog::TData FontData;
	 TTSCTreeList *Outliner;
	 TNodeView    *view;
};

#endif

